<?php
function hash_pw($pw, $r_salt){
	$salt = 'pk123123';
	$hashed = md5(sha1($salt . $pw . $r_salt)); 
	return $hashed;
}

function getRandomString($length = 10) {
    $validCharacters = "abcdefghijklmnopqrstuxyvwzABCDEFGHIJKLMNOPQRSTUXYVWZ+-*#&@!?";
    $validCharNumber = strlen($validCharacters);
    $result = "";
 
    for ($i = 0; $i < $length; $i++) {
        $index = mt_rand(0, $validCharNumber - 1);
        $result .= $validCharacters[$index];
    }
    return $result;
}
 

?>